Source: pyopenssl
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-cffi,
               python3-cryptography (>= 37.0.2),
               python3-flaky,
               python3-pretend,
               python3-pytest (>= 3.0.1),
               python3-setuptools,
               python3-six,
               python3-sphinx (>= 1.0.7+dfsg),
               python3-sphinx-rtd-theme,
Standards-Version: 4.6.1.0
Homepage: https://pyopenssl.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyopenssl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyopenssl

Package: python-openssl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-openssl,
Description: Python wrapper around the OpenSSL library (documentation package)
 High-level wrapper around a subset of the OpenSSL library, includes
 .
   * SSL.Connection objects, wrapping the methods of Python's portable
     sockets
   * Callbacks written in Python
   * Extensive error-handling mechanism, mirroring OpenSSL's error
     codes
 .
 A lot of the object methods do nothing more than calling a
 corresponding function in the OpenSSL library.
 .
 This package contains documentation for python-openssl.

Package: python3-openssl
Architecture: all
Depends: python3-cryptography (>= 3.2~),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-openssl-doc,
          python3-openssl-dbg,
Description: Python 3 wrapper around the OpenSSL library
 High-level wrapper around a subset of the OpenSSL library, includes
 .
   * SSL.Connection objects, wrapping the methods of Python's portable
     sockets
   * Callbacks written in Python
   * Extensive error-handling mechanism, mirroring OpenSSL's error
     codes
 .
 A lot of the object methods do nothing more than calling a
 corresponding function in the OpenSSL library.
 .
 This package contains the Python 3 version of pyopenssl.
